extends Scene


# Called when the node enters the scene tree for the first time.
func _ready():
	super()
	pass # Replace with function body.



func _on_healers_interacted():
	$healers.default_script(self)


func _on_shelves_interacted():
	var path = NavigationServer2D.map_get_path(map, pathfind.to_local(ego.global_position), pathfind.to_local($Shelves/interact_point.global_position), true)
	start_main_script(ScriptBuilder.init(ScriptBuilder.walk_path(ego, path))
	.and_then(ScriptBuilder.say(self.ego, "Most of these bottles are empty."))
	.can_interrupt().build(self, "_on_script_complete"))
